%define anolis_release 2
# tests are enabled by default
%bcond_without tests

Name:           python-six
Version:        1.16.0
Release:        %{anolis_release}%{?dist}
Summary:        Python 2 and 3 compatibility utilities

License:        MIT
URL:            https://github.com/benjaminp/six
Source0:        %{pypi_source six}

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  pyproject-rpm-macros

%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-tkinter
%endif

%global _description %{expand:
Six is a Python 2 and 3 compatibility library. It provides utility functions
for smoothing over the differences between the Python versions with the goal
of writing Python code that is compatible on both Python versions.}

%description %{_description}


%package -n python%{python3_pkgversion}-six
Summary:        %{summary}

%description -n python%{python3_pkgversion}-six %{_description}

%package doc
Summary:        Documentation files for %{name}
Requires:       python%{python3_pkgversion}-six = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n six-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files six


%if %{with tests}
%check
%pytest
%endif


%files -n python%{python3_pkgversion}-six -f %{pyproject_files}
%license LICENSE
%doc documentation/index.rst

%files doc
%doc README.rst

%changelog
* Thu Oct 13 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.16.0-2
- add doc package

* Fri Mar 04 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.16.0-1
- Init form upstream version 1.16.0

